// src/lib/adapters/sveltekit.ts
import { browser, building } from "$app/environment";
import { goto } from "$app/navigation";
var DUMMY_URL = new URL("https://kit.svelte.dev");
function sveltekit(options = {}) {
  const { replace = false } = options;
  return {
    isBrowser: () => browser,
    browser: {
      read() {
        if (building) return DUMMY_URL;
        return window.location;
      },
      save(search, hash) {
        goto(`${search}${hash}`, {
          keepFocus: true,
          noScroll: true,
          replaceState: replace
        });
      }
    },
    server: {
      save(_search, _hash) {
      }
    }
  };
}
export {
  sveltekit
};
