import { Q as QuerySchema, a as QueryParamsOptions, U as UseQueryHook, i as inferShape } from './types-BqpHnbAr.cjs';
export { F as FunctionValidator, b as QueryHelpers, c as QueryHook, d as QueryUpdater, S as Serializer, g as URLLike, V as ValibotValidator, e as Validator, W as WindowLike, Z as ZodValidator, f as inferFromValidator } from './types-BqpHnbAr.cjs';
import 'valibot';
import 'zod';

/**
 * This returns a function (a hook) rather than a reactive object as the
 * reactivity is lost when importing the underlying reactive object around
 * @returns A hook, returning a reactive {@linkcode QueryHelpers} instance
 */
declare function createUseQueryParams<TShape extends QuerySchema>(validators: TShape, options?: QueryParamsOptions): UseQueryHook<inferShape<TShape>>;

export { QueryParamsOptions, QuerySchema, UseQueryHook, createUseQueryParams, inferShape };
